### Method

# Msg MailService get_mail_folder

#### Declaration [src]

    MsgMailFolder*
    msg_mail_service_get_mail_folder (
      MsgMailService* self,
      MsgMailFolderType type,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get a specific mail folder for given service.

#### Parameters

`type`

  Type: `MsgMailFolderType`

  A `MsgMailMailFolderType`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MsgMailFolder`

A `MsgMailFolder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.